﻿/* Set padding to keep content from hitting the edges */
.body-content {
    margin-top: 15px;
    padding-left: 15px;
    padding-right: 15px;
}

h1, h2, h3, h4, h5, h5 {
    font-weight: bold;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
body {
    font-family: 'Roboto', sans-serif !important;
}

input,
select,
textarea {
    max-width: 280px;
}

.btn {
    border-radius: 24px;
    padding: 9px 50px;
}

.btn-success {
    background-color: #7BCB6C;
    --bs-btn-border-color: #7BCB6C;
}
td {
    padding: 1rem 0.5rem !important;
}

th {
    padding: 1rem 0.5rem !important;
}

.pagination li {
    margin-left: 10px;
}

.active {
    text-decoration: underline;
}

.pagination li a {
    color: black;
    text-decoration: none;
}

.overlay {
    background: #f4f3f3;
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: .5;
    z-index: 99999999;
}

#loading-img {
    background: url('Images/ring.gif') center center no-repeat;
    height: 100%;
    z-index: 9999;
}

.loading-img {
    background: url('Images/ellipse-dots.gif') center center no-repeat;
    height: 50px;
    z-index: 9999;
}

.input-file-btn {
    width: 100%;
    cursor: pointer;
    border: 1px solid #232323;
    border-radius: 24px;
    background-color: white;
    padding: 12px;
    max-width: 100%;
}

label {
    font-weight: bold;
}

textarea {
    width: 100%;
    max-width: 100%;
    height: 168px;
}

.category-title {
    margin-top: 50px;
    margin-bottom: 30px;
    font-size: 20px;
    font-weight: bold;
    border-bottom: 1px solid #000000;
    padding-bottom: 20px;
    margin-top: 0px;
    display: flex;
    cursor: pointer;
}

.category-title-arrow {
    padding-right: 15px;
    font-size: small;
    margin-top: 5px;
}

.btn-info {
    background: #89AFE3 0% 0% no-repeat padding-box;
    border-color: #89AFE3;
    color: white;
}

.dollar-position {
    float: right;
    margin-right: -15px;
    margin-top: 7px;
}

.btn-draft {
    border-radius: 24px;
    padding: 11px 22px;
    background-color: #89AFE3;
    color: white;
    border: none;
}

.btn-save {
    border-radius: 24px;
    padding: 11px 22px;
    background-color: #7BCB6C;
    color: white;
    border: none;
}

.btn-send-netsuite {
    border-radius: 24px;
    padding: 11px 22px;
    background-color: #E26F74;
    color: white;
    border: none;
}

.btn-send-netsuite {
    border-radius: 24px;
    padding: 11px 22px;
    background-color: rgb(179, 32, 23);
    color: white;
    border: none;
}

.btn-delete {
    border-radius: 24px;
    padding: 11px 22px;
    background-color: #E26F74;
    color: white;
    border: none;
}


.status-card {
    color: white;
    border-radius: 21px;
    padding: 0px 20px;
    margin-left: 10px;
    height: 33px;
    padding-top: 5px;
    margin-top: -2px;
    white-space: nowrap;
}

.select2-container {
    width: 100% !important
}

.select2-container--default .select2-selection--single {
    border: 1px solid black !important;
    border-radius: unset !important;
    padding: 4px 0px !important;
    height: auto !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 6px;
}
.plus-component {
    background-color: black;
    color: white;
    padding: 0px 5px;
    border-radius: 16px;
    margin-right: 10px;
}

.minus-component {
    background-color: black;
    color: white;
    padding: 0px 7px;
    border-radius: 16px;
    margin-right: 10px;
    cursor: pointer;
}

.sticky-product-background {
    background-color: white;
    height: 125px;
    width: 100%;
    position: fixed;
    margin-top: -20px;
    z-index: 99;
}

.sticky-product-media-section {
    overflow-x: hidden;
    height: 800px;
    padding: 12px;
    top: 170px;
    z-index: 98
}

.select2-dropdown {
    z-index: 999999
}

.btn-default {
    border-color: black;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

button {
    margin: 5px;
}

input[type=button] {
    margin: 5px;
}

.form-download-xml {
    cursor: pointer;
    text-decoration: underline;
    float: right
}

.function-icon {
    text-align: end;
}

input[type=checkbox] {
    accent-color: black;
    height: 15px;
    width: 15px;
}

.function-icon img {
    margin-left: 5px;
    transition: 0.2s;
    cursor: pointer;
}

.function-icon div {
    display: none;
    margin-top: -4px;
}

.vendor-portal-btn {
    padding: 8px 16px;
    border-radius: 6px;
    align-items: center;
}

.btn-white-black {
    background: white;
    border: 1px solid;
}

.btn-white-red {
    background: white;
    color: red;
    border: 1px solid red;
}

.btn-black-white {
    background: black;
    border: 1px solid black;
    color: white
}

.fileUpload {
    position: relative;
    overflow: hidden;
    margin: 10px;
}

.fileUpload input.upload {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}

.dropdown-menu.show {
    width: 100% !important;
}

.dropdown-menu.inner.show {
    min-width: 100% !important;
    width: 100% !important;
}

.hidden {
    display: none;
}

button:disabled,
input[type=button]:disabled,
button[disabled] {
    background-color: #cccccc;
    color: #666666;
}

.bootstrap-select {
    width: 100% !important;
}

.notification-html-section {
    scroll-behavior: smooth;
    height: 600px;
    overflow-y: auto;
}

.component-section {
    display: flex;
    align-items: center;
}

.component-section input[type=button] {
    width: fit-content;
    padding: 2px 15px;
    margin-left: 20px;
    cursor: pointer;
}

.component-section input {
    width: 50px;
    padding: 2px 15px;
    margin-left: 20px;
}

.qty-component-label {
    margin-left: 10px;
}

.modal-plus {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    display: none;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    outline: 0;
}

.glyphicon-plus:before {
    content: "\002b";
}

.tooltip-helper {
    display: none;
    background: rgb(244, 244, 245);
    padding: 20px;
    border: solid 1px;
    position: absolute;
    right: 190px;
    z-index: 999999;
    margin-top: -186px;
    width: 500px;
}

.landing-page-section a {
    text-decoration: none;
    color: #232323;
}

.landing-nav-ul {
    list-style-type: none;
    padding-left: 0;
    margin-top: 40px;
}

    .landing-nav-ul a {
        text-decoration: none;
        color: #232323;
        font-size: x-large;
        font-weight: bold;
    }

    .landing-nav-ul li:first-child {
        border-top: solid 1px #dee2e6;
    }

    .landing-nav-ul li {
        padding: 10px;
        border-bottom: solid 1px #dee2e6;
    }

        .landing-nav-ul li.active {
            text-decoration: none;
            background-color: #232323;
        }

    .landing-nav-ul li.active a {
        color: white;
    }

/*Mobile view*/
@media (max-width: 768px) {
    button {
        float: left !important;
    }

    .btn-send-netsuite {
        margin-left: 0px;
    }

    .btn-delete {
        margin-left: 0px;
    }

    .form-download-xml {
        float: left !important;
    }
}

